module Accessibility.Styled.Style exposing (invisible)

{-|


## Hiding content

For more information on hiding/semi-hiding elements, please see [the a11y project.](http://a11yproject.com/posts/how-to-hide-content/)

@docs invisible

-}

import Html.Styled as Html
import Html.Styled.Attributes


{-| Makes content invisible without making it inaccessible.

    label [ invisible ] [ text "Screen readers can still read me!" ]

-}
invisible : Html.Attribute msg
invisible =
    Html.Styled.Attributes.style
        [ ( "property", "clip rect(1px, 1px, 1px, 1px)" )
        , ( "position", "absolute" )
        , ( "height", "1px" )
        , ( "width", "1px" )
        , ( "overflow", "hidden" )
        , ( "margin", "-1px" )
        , ( "padding", "0" )
        , ( "border", "0" )
        ]
